//
//  SBSDKUIBarcodesBatchScannerConfiguration.swift
//  barcode_scanner
//
//  Created by Yevgeniy Knizhnik on 20.01.21.
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKUIBarcodesBatchScannerConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConfig = SBSDKUIBarcodesBatchScannerUIConfiguration(from: dictionary)
        let textConfig = SBSDKUIBarcodesBatchScannerTextConfiguration(from: dictionary)
        let behaviourConfig = SBSDKUIBarcodesBatchScannerBehaviorConfiguration(from: dictionary)
        let cameraConfig = SBSDKUICameraConfiguration(from: dictionary)
        let selectionOverlayConfig = SBSDKUIBarcodeSelectionOverlayConfiguration(from: dictionary)
        
        self.init(uiConfiguration: uiConfig,
                  textConfiguration: textConfig,
                  behaviorConfiguration: behaviourConfig,
                  cameraConfiguration: cameraConfig,
                  selectionOverlayConfiguration: selectionOverlayConfig)
    }
}
