//
//  Scanbot Barcode Scanner SDK Flutter Plugin
//
//  Copyright (c) 2020 doo GmbH. All rights reserved.
//  https://scanbot.io/sdk
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKUIBarcodeScannerConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConfig = SBSDKUIBarcodeScannerUIConfiguration(from: dictionary)
        let textConfig = SBSDKUIBarcodeScannerTextConfiguration(from: dictionary)
        let behaviourConfig = SBSDKUIBarcodeScannerBehaviorConfiguration(from: dictionary)
        let cameraConfig = SBSDKUICameraConfiguration()
        let selectionOverlayConfig = SBSDKUIBarcodeSelectionOverlayConfiguration(from: dictionary)
        
        self.init(uiConfiguration: uiConfig,
                  textConfiguration: textConfig,
                  behaviorConfiguration: behaviourConfig,
                  cameraConfiguration: cameraConfig,
                  selectionOverlayConfiguration: selectionOverlayConfig)
    }
}
